gh(1)

NAME

gh-pr-create - Create a pull request

SYNOPSIS

gh pr create [flags]

DESCRIPTION

Create a pull request on GitHub.

When the current branch isn't fully pushed to a git remote, a prompt will ask where to push the branch and offer an option to fork the base repository. Use --head to explicitly skip any forking or pushing behavior.

A prompt will also ask for the title and the body of the pull request. Use --title and --body to skip this, or use --fill to autofill these values from git commits.

Link an issue to the pull request by referencing the issue in the body of the pull request. If the body text mentions Fixes #123 or Closes #123, the referenced issue will automatically get closed when the pull request gets merged.

By default, users with write access to the base repository can push new commits to the head branch of the pull request. Disable this with --no-maintainer-edit.

OPTIONS

-a, --assignee=[]
    Assign people by their login. Use "@me" to self-assign.

-B, --base=""
    The branch into which you want your code merged

-b, --body=""
    Body for the pull request

-F, --body-file=""
    Read body text from file

-d, --draft[=false]
    Mark pull request as a draft

-f, --fill[=false]
    Do not prompt for title/body and just use commit info

-H, --head=""
    The branch that contains commits for your pull request (default: current branch)

-l, --label=[]
    Add labels by name

-m, --milestone=""
    Add the pull request to a milestone by name

--no-maintainer-edit[=false]
    Disable maintainer's ability to modify pull request

-p, --project=[]
    Add the pull request to projects by name

--recover=""
    Recover input from a failed run of create

-r, --reviewer=[]
    Request reviews from people or teams by their handle

-t, --title=""
    Title for the pull request

-w, --web[=false]
    Open the web browser to create a pull request

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh pr create --title "The bug is fixed" --body "Everything works again"
    $ gh pr create --reviewer monalisa,hubot  --reviewer myorg/team-name
    $ gh pr create --project "Roadmap"
    $ gh pr create --base develop --head monalisa:feature

SEE ALSO

gh-pr(1)